Subject: Re: [RFC PATCH bpf-next 2/4] bpf: introduce BPF dispatcher

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 14 Nov 2019 16:12:55 +0100

Björn Töpel <[email-masked]> writes:

> On Thu, 14 Nov 2019 at 15:55, Toke Høiland-Jørgensen <[email-masked]> wrote:
>>
> [...]
>> I don't really have anything to back it up, but my hunch is that only 4
>> entries will end up being a limit that people are going to end up
>> hitting. And since the performance falls off quite the cliff after
>> hitting that limit, I do fear that this is something we will hear about
>> quite emphatically :)
>>
>
> Hmm, maybe. I have 8 i40e netdevs on my test machine, all running XDP,
> but I don't think that's normal for deployments. ;-)

Well, the fact that products like this exist kinda indicates that this
is something people are doing, no?

https://small-tree.net/products/10gbe-switches/p3e10g-6-sr/

-Toke